<?php
  ini_set('max_execution_time',259200); 
  ini_set ('memory_limit','-1');
	require_once('../vendor/autoload.php');
  require_once("../conexao_mysql_locaweb.php");
	$data = [];$cont=0;
	$reader5 = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
	$reader5->setReadDataOnly(true);
	$spreadsheet5 = $reader5->load('excel/Sitrad-S001-ARM01.xlsx');
	$sheet_count5 = $spreadsheet5->getSheetCount();
	for ($i=0 ; $i < $sheet_count5 ; $i++) {
		$sheet5 = $spreadsheet5->getSheet($i);
		echo 'S001-ARM01.xlsx --> planilha: '.$i.'<br>';
		foreach ($sheet5->getRowIterator() as $row5) {
				if ($row5->getRowIndex() <= 4) {continue;}
				$cells5 = iterator_to_array($row5->getCellIterator("A", "H"));
				if(trim($cells5["B"]->getValue())==='Serviço não foi finalizado corretamente no último encerramento.' or trim($cells5["B"]->getValue())==='' or trim($cells5["B"]->getValue())==='O horário do servidor foi alterado'){continue;}
				$data[] = [
						"id_arm" => 5,
						"dia_hora" => intval(((($cells5["A"]->getValue())-(25569+(-3/24)))*86400)),
						"temperatura" => $cells5["B"]->getValue(),
						"umidade" => $cells5["C"]->getValue(),
				];
		}
	}
	$reader6 = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
	$reader6->setReadDataOnly(true);
	$spreadsheet6 = $reader6->load('excel/Sitrad-S002-ARM02.xlsx');
	$sheet_count6 = $spreadsheet6->getSheetCount();
	for ($i=0 ; $i < $sheet_count6 ; $i++) {
		$sheet6 = $spreadsheet6->getSheet($i);
		echo 'S002-ARM02.xlsx --> planilha: '.$i.'<br>';
		foreach ($sheet6->getRowIterator() as $row6) {
				if ($row6->getRowIndex() <= 4) {continue;}
				$cells6 = iterator_to_array($row6->getCellIterator("A", "H"));
				if(trim($cells6["B"]->getValue())==='Serviço não foi finalizado corretamente no último encerramento.' or trim($cells6["B"]->getValue())==='' or trim($cells6["B"]->getValue())==='O horário do servidor foi alterado'){continue;}
				$data[] = [
						"id_arm" => 6,
						"dia_hora" => intval(((($cells6["A"]->getValue())-(25569+(-3/24)))*86400)),
						"temperatura" => $cells6["B"]->getValue(),
						"umidade" => $cells6["C"]->getValue(),
				];
		}
	}
	$reader7 = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
	$reader7->setReadDataOnly(true);
	$spreadsheet7 = $reader7->load('excel/Sitrad-S003-HUB.xlsx');
	$sheet_count7 = $spreadsheet7->getSheetCount();
	for ($i=0 ; $i < $sheet_count7 ; $i++) {
		$sheet7 = $spreadsheet7->getSheet($i);
		echo 'S003-HUB.xlsx --> planilha: '.$i.'<br>';
		foreach ($sheet7->getRowIterator() as $row7) {
				if ($row7->getRowIndex() <= 4) {continue;}
				$cells7 = iterator_to_array($row7->getCellIterator("A", "H"));
				if(trim($cells7["B"]->getValue())==='Serviço não foi finalizado corretamente no último encerramento.' or trim($cells7["B"]->getValue())==='' or trim($cells7["B"]->getValue())==='O horário do servidor foi alterado'){continue;}
				$data[] = [
						"id_arm" => 7,
						"dia_hora" => intval(((($cells7["A"]->getValue())-(25569+(-3/24)))*86400)),
						"temperatura" => $cells7["B"]->getValue(),
						"umidade" => $cells7["C"]->getValue(),
				];
		}
	}
	$reader8 = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
	$reader8->setReadDataOnly(true);
	$spreadsheet8 = $reader8->load('excel/Sitrad-TW-OSA.xlsx');
	$sheet_count8 = $spreadsheet8->getSheetCount();
	for ($i=0 ; $i < $sheet_count8 ; $i++) {
		$sheet8 = $spreadsheet8->getSheet($i);
		echo 'TW-OSA.xlsx --> planilha: '.$i.'<br>';
		foreach ($sheet8->getRowIterator() as $row8) {
				if ($row8->getRowIndex() <= 4) {continue;}
				$cells8 = iterator_to_array($row8->getCellIterator("A", "H"));
				if(trim($cells8["B"]->getValue())==='Serviço não foi finalizado corretamente no último encerramento.' or trim($cells8["B"]->getValue())==='' or trim($cells8["B"]->getValue())==='O horário do servidor foi alterado'){continue;}
				$data[] = [
						"id_arm" => 8,
						"dia_hora" => intval(((($cells8["A"]->getValue())-(25569+(-3/24)))*86400)),
						"temperatura" => $cells8["B"]->getValue(),
						"umidade" => $cells8["C"]->getValue(),
				];
		}
	}
	$json = json_encode($data); 
  $fopen=fopen('json/Sitrad.json','w');
  $fwrite=fwrite($fopen,$json);
  fclose($fopen);
  echo "<br>Fim da execução!<br>";
